Page MenuHomePhabricator

Review CE Insights results and future questions for Technical Collaboration
Closed, ResolvedPublic

Description

CE Insights results for Technical Collaboration have been published. We have to process that information and check whether any plans or activities should change because of it.

Quim is assigning this task to himself for now. At least @Elitre and @srishakatux should also check how this affects our annual plan programs.

Discussions about existing and new questions should be posted at https://meta.wikimedia.org/wiki/Talk:Community_Engagement_Insights/2016-17_Report/Technical_Collaborations

Draft questions for the next survey

Drafting continues in a spreadsheet. The list below might be outdated.

For everyone:

  • (TC15) Over the last 12 months, in which of the following ways have you contributed to Wikimedia or Mediawiki software projects?
  • (TC41) In which of the following ways do you receive updates and news about WMF software development?
  • Which of the following channels do you think would be more efficient to provide feedback to developers?
  • The Wikimedia Foundation collaborates well with Wikimedia communities to develop software
  • (TC01) Overall, to what extent are you satisfied or dissatisfied with the software you use in Wikimedia?

For contributors:

  • (TC19) To what extent are you satisfied or dissatisfied with the Technical Collaboration Guidance recommendations?
  • How aware are you of the Tech Ambassador volunteer role?
  • How aware are you of the Tech Translator volunteer role?

For volunteer developers:

  • (TC26) Which of the following best describe the reason(s) you contribute your technical skills to Wikimedia?
  • Which are your preferred programming languages for Wikimedia projects
  • (TC25) Which are your preferred areas of development or other technical contributions?
  • Which of the following channels do you think would more efficient for developer support?
  • (TC08) Which types of developer documentation do you believe that need to be improved by the Wikimedia Foundation?
  • (TC21) In general, the people in the Wikimedia technical community are: - Unfriendly:Friendly
  • (TC02) To what extent do you agree or disagree with the following: The Wikimedia Foundation collaborates well with volunteer developers to build software

Event Timeline

Qgil created this task.Jul 13 2017, 6:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 13 2017, 6:31 AM

Is there some page to see the questions only, so I don't scroll myself to death?
(No TOC, generic HTML without IDs, question is sometimes 1st or 2nd or 3rd table row so I cannot scrap the DOM to extract them.)

There must be a doc somewhere with the questions we sent to Ed, no?

Qgil raised the priority of this task from Low to High.Aug 25 2017, 12:32 PM
Qgil updated the task description. (Show Details)Sep 1 2017, 3:29 PM

Alright, after a first pass through https://meta.wikimedia.org/wiki/Community_Engagement_Insights/2016-17_Report/Technical_Collaborations#Technical_contributors ...

I think we need to align the survey questions with our current plans. We also should ask less questions. And we should not ask in CE Insights what we are asking in a more focused context e.g. questions for technical event participants and for new developers.

I have tried to list the existing questions in three groups (see the description of this task):

  • Questions to be kept. They might still need review and fine tuning, but they are relevant and useful.
  • Questions to be discussed / improved. They might be kept after some improvement, or maybe after some discussion we decide that they can be discarded.
  • Questions to be removed, because we don't get anything actionable out of them, participation is expected to be always too low, are better asked in other contexts, are not relevant anymore...

All these are suggestions, of course. Feedback welcome, better at https://meta.wikimedia.org/wiki/Talk:Community_Engagement_Insights/2016-17_Report/Technical_Collaborations

Next, I will comment on existing proposals and start new ones. I will also scan our annual plan programs to inform the discussion about questions to be improved or discarded, as well as to find potential new questions missing.

Elitre updated the task description. (Show Details)Sep 4 2017, 2:00 PM
Qgil renamed this task from Review CE Insights results for Technical Collaboration to Review CE Insights results and future questions for Technical Collaboration.Sep 13 2017, 9:12 AM
Johan added a subscriber: Johan.EditedSep 14 2017, 4:45 AM

I've done an analysis of the Tech News-related results on Meta. Based on that, T175779 contains my recommendations for Tech News and CE Insights. In short, 224 and 225 should change "Meta:Tech/News" to "Tech News" or "The Tech News newsletter". 517 is fine as it is from a Tech News perspective. 529.01 is probably fine as it is.

530 is far less useful if only technical contributors are asked the question. It should either get a wider audience (it's even more relevant if non-technical editors are reading the newsletter sporadically, as those involved in technical spaces are more likely to hear about news in other ways). More people should be asked this question. If that is not possible and we need to ask fewer questions, I think it can be removed.

Qgil added a comment.Sep 22 2017, 8:52 AM

Yes, for now this task is about Everything TC & CE Insights.

Qgil added a project: Goal.Oct 4 2017, 7:46 AM
Qgil moved this task from Backlog to October on the Developer-Advocacy (Oct-Dec 2017) board.
Qgil added a comment.Oct 17 2017, 2:29 PM

Quick draft here before I propose these questions properly in the spreadsheet. Some of these questions are existing (as is or modified) and some of them are new.

FOR EVERYONE

  1. Types of contributions in the last 12 months
  2. How do you receive updates about software features?
  3. Most efficient ways to provide feedback to developers?
  4. The Wikimedia Foundation collaborates well with Wikimedia communities to develop software (agree/disagree)
  5. Are you satisfied/dissatisfied with the software developed by the Wikimedia Foundation?

FOR EDITORS

  1. Technical Collaboration Guidance awareness / satisfaction
  2. Tech ambassadors awareness / satisfaction
  3. Tech Translators awareness / satisfaction

FOR TECH CONTRIBUTORS

  1. What motivated you to start contributing?
  2. Preferred programming languages?
  3. Preferred focus areas? (extensions, gadgets, mobile...)
  4. Preferred channels for developer support?
  5. A question about usefulness of developer documentation
  6. The Wikimedia technical community is friendly/unfriendly
  7. The Wikimedia Foundation collaborates well with volunteer developers to build software (agree/disagree)

Everyone #5 - we can't determine whether people know which software is Foundation's and which one isn't. Also, bad interactions between WMF and volunteer software means a bad experience overall. Finally, user's setting is also important. It looks more like a question that other teams would want to ask.

Qgil added a comment.Oct 18 2017, 10:00 AM

Note that we had asked this question to Technical Contributors in the previous edition, getting a fair amount of responses (considering the low numbers for that audience in general): Question 555 (TC01) Overall, to what extent are you satisfied or dissatisfied with the software developed by the Wikimedia Foundation?

I propose the same question for all audiences and not only Technical Contributors because I think it is interesting to capture that sentiment across Wikimedia. I understand that people might not know what is the software developed by the WMF versus the rest. They might not even distinguish between new software being developed vs what they use and has existed for years. What we are after is an assessment about their subjective feelings as users, not an objective assessment about the software. Therefore, what about this:

* Overall, to what extent are you satisfied or dissatisfied with the software you use in Wikimedia?

When it comes to which team should ask this question, this is ultimately irrelevant as long as the question appears in the survey. I think it is our interest to assure this, because the question is pertinent, and our work will be easier (and somehow better?) if we can show good results and a positive trend in this question.

Qgil updated the task description. (Show Details)Oct 18 2017, 11:33 AM

Drafting continues in a spreadsheet.

A reminder that this is still on October's board, so it could either be moved or closed based on what's left to do. Thank you!

Qgil moved this task from Inbox to Started on the CommRel-Internals board.Jul 10 2018, 7:13 AM
Qgil closed this task as Resolved.Aug 6 2018, 2:00 PM

At this point I think it is simpler and better to close this task (that now belongs to the TC past) and open a new one with the new CE Insights round.

Qgil lowered the priority of this task from High to Low.Sep 14 2018, 9:40 AM
Qgil moved this task from Started to Evaluated on the CommRel-Internals board.